/**
 * EasyBeans
 * Copyright (C) 2008 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
 *
 * --------------------------------------------------------------------------
 * $Id: AttributesFetchMBeanDelegate.as 5199 2009-09-29 13:44:05Z benoitf $
 * --------------------------------------------------------------------------
 */

package org.ow2.easybeans.console.jmxbrowser.business {

import com.adobe.cairngorm.business.ServiceLocator;

import org.ow2.jasmine.kerneos.common.business.AbsDelegateResponder;

/**
 * Delegate class that will get attributes of a given MBean from the remote service.
 * @author Florent Benoit
 */
public class AttributesFetchMBeanDelegate extends AbsDelegateResponder implements IAttributesFetchMBeanDelegate {

    /**
     * Implementation of the interface. Ask attributes from the service.
     */
    public function getAttributes(mbeanName : String) : void {

        // Find service
        var service : Object = ServiceLocator.getInstance().getRemoteObject("JMXBrowserService");

        // Call service
        var serviceResult : Object = service.getJMXAttributes(mbeanName);

        // Add responder
        serviceResult.addResponder(this.responder);

    }

}
}
