/**
 * EasyBeans
 * Copyright (C) 2008 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
 *
 * --------------------------------------------------------------------------
 * $Id: JMXBrowserController.as 5199 2009-09-29 13:44:05Z benoitf $
 * --------------------------------------------------------------------------
 */

package org.ow2.easybeans.console.jmxbrowser.control {

import com.adobe.cairngorm.control.FrontController;

import org.ow2.easybeans.console.jmxbrowser.command.CallOperationMBeanCommand;
import org.ow2.easybeans.console.jmxbrowser.command.GetAllMBeansCommand;
import org.ow2.easybeans.console.jmxbrowser.command.GetAttributesMBeanCommand;
import org.ow2.easybeans.console.jmxbrowser.command.GetOperationsMBeanCommand;
import org.ow2.easybeans.console.jmxbrowser.command.UpdateAttributeMBeanCommand;
import org.ow2.easybeans.console.jmxbrowser.event.CallOperationMBeanEvent;
import org.ow2.easybeans.console.jmxbrowser.event.GetAllMBeansEvent;
import org.ow2.easybeans.console.jmxbrowser.event.GetAttributesOfMBeanEvent;
import org.ow2.easybeans.console.jmxbrowser.event.GetOperationsOfMBeanEvent;
import org.ow2.easybeans.console.jmxbrowser.event.UpdateAttributeOfMBeanEvent;
import org.ow2.easybeans.console.jmxbrowser.model.JMXBrowerModelLocator;

/**
 * Controller that is managing all events
 * @author Florent Benoit
 */
public class JMXBrowserController extends FrontController {

    /**
     * Default constructor that will initialize all commands.
     */
    public function JMXBrowserController() {
        initCommands();
    }

    /**
     * Init all commands by adding events to the front controller.
     */
    public function initCommands() : void {
        addCommand(GetAllMBeansEvent.EVENT_GET_ALLMBEANS, GetAllMBeansCommand);
        addCommand(GetAttributesOfMBeanEvent.EVENT_GET_ATTRIBUTES_OF_MBEAN, GetAttributesMBeanCommand);
        addCommand(GetOperationsOfMBeanEvent.EVENT_GET_OPERATIONS_OF_MBEAN, GetOperationsMBeanCommand);
        addCommand(UpdateAttributeOfMBeanEvent.EVENT_UPDATE_ATTRIBUTE_MBEAN, UpdateAttributeMBeanCommand);
        addCommand(CallOperationMBeanEvent.EVENT_CALL_OPERATION_MBEAN, CallOperationMBeanCommand);
    }

}
}
